List constituents in a household
GET
/api/households/{id}/members
const url = 'https://example.com/api/households/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/households/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/members \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
The UUID of the household
string format: uuid
Responses
Section titled “Responses”A list of constituents in the household
Media typeapplication/json
Array<object>
object
id
required
Unique identifier (UUID v4) for the resource.
string format: uuid
firstName
required
First or given name.
string
lastName
required
Last or family name.
string
phone
E.164 formatted contact phone number.
string
email
Primary email address.
string
addressStreet
Physical street address line.
string
dateOfBirth
Date of birth formatted as YYYY-MM-DD.
string format: date
Example
[ { "id": "a1b2c3d4-e5f6-7890-abcd-1234567890ab", "firstName": "Sarah", "lastName": "Jenkins", "phone": "+17045550199", "addressStreet": "456 Oak Avenue", "dateOfBirth": "1988-04-15" }]Unauthorized
Forbidden
Household not found